package de.ivu.elect.business.wahlrechtspruefung.entity;

import de.ivu.elect.jee.entity.Entity;

public abstract class AbstractPruefkriterium implements PruefkriteriumBase {

  private static final long serialVersionUID = 1L;

  public static final String KEINE_EXISTENZPRUEFUNG_BEIM_ANLEGEN = "KEINE_EXISTENZPRUEFUNG_BEIM_ANLEGEN";

  public boolean isBezugFuer(Object entity) {
    if (entity instanceof Entity) {
      return isBezugFuerEntity((Entity<?, ?>) entity);
    }
    return false;
  }

  private boolean isBezugFuerEntity(Entity<?, ?> entity) {
    return getPruefkriteriumBezug().isBezugFuerEntity(entity) && getPruefkriteriumGruppeArt().isBezugFuerEntity(entity);
  }

}
